> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List priorities

`GET https://api.pagerduty.com/priorities`

List existing priorities, in order (most to least severe).

A priority is a label representing the importance and impact of an incident.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#priorities)

Scoped OAuth requires: `priorities.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | The number of results per page. |
| `offset` | integer |  | Offset to start pagination search results. |
| `total` | boolean |  | By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://docs.pagerduty.com/developer/pagination) for more information. Default: `false`. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

A paginated array of priorities.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `offset` | integer |  | Echoes offset pagination property. Read-only. |
| `limit` | integer |  | Echoes limit pagination property. Read-only. |
| `more` | boolean |  | Indicates if there are additional records to return. Read-only. |
| `total` | integer \| null |  | The total number of records matching the given query. Read-only. |
| `priorities` | array of object | yes |  |
| `priorities[].id` | string |  | Read-only. |
| `priorities[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `priorities[].type` | string |  | A string that determines the schema of the object. This must be the standard name for the entity, suffixed by `_reference` if the object is a reference. Read-only. |
| `priorities[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `priorities[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `priorities[].name` | string |  | The user-provided short name of the priority. |
| `priorities[].description` | string |  | The user-provided description of the priority. |

Example: Response Example

```json
{
  "priorities": [
    {
      "id": "PSLWBL8",
      "type": "priority",
      "summary": "P1",
      "self": "https://api.pagerduty.com/priorities/PSLWBL8",
      "name": "P1",
      "description": "Critical issue that warrants public notification and liaison with executive teams"
    },
    {
      "id": "P53ZZH5",
      "type": "priority",
      "summary": "P2",
      "self": "https://api.pagerduty.com/priorities/P53ZZH5",
      "name": "P2",
      "description": "Critical system issue actively impacting many customers' ability to use the product"
    },
    {
      "id": "PGE9YCZ",
      "type": "priority",
      "summary": "P3",
      "self": "https://api.pagerduty.com/priorities/PGE9YCZ",
      "name": "P3",
      "description": "Stability or minor customer-impacting issues that require immediate attention from service owners"
    },
    {
      "id": "PVJPWYW",
      "type": "priority",
      "summary": "P4",
      "self": "https://api.pagerduty.com/priorities/PVJPWYW",
      "name": "P4",
      "description": "Minor issues requiring action, but not affecting customer ability to use the product"
    },
    {
      "id": "P81SUUT",
      "type": "priority",
      "summary": "P5",
      "self": "https://api.pagerduty.com/priorities/P81SUUT",
      "name": "P5",
      "description": "Cosmetic issues or bugs, not affecting customer ability to use the product"
    }
  ],
  "limit": 25,
  "offset": 0,
  "more": false,
  "total": null
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 402

Account does not have the abilities to perform the action. Please review the response for the required abilities.
You can also use the [Abilities API](#resource_Abilities) to determine what features are available to your account.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
